---
title: Fetch delivery
slug: content-recommendations/api/fetch-delivery
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "ZGfBl97oG6SOR6lgBjhrW",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.usea01.idio.episerver.net/1.0/deliveries/{key}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/deliveries/{key}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Fetch delivery",
    "description": "Retrieve detailed information about a delivery using its API key. Use 'me' for the current delivery.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "key",
          "type": "string",
          "description": "<p>API delivery key. Use <code>me</code> to refer to the current delivery.</p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Details of a single delivery",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Represents a content delivery configuration, such as a widget or feed.</p>",
            "customType": "Delivery",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "integer",
                "description": "Unique identifier of the delivery.",
                "example": 101
              },
              {
                "name": "title",
                "kind": "required",
                "type": "string",
                "description": "Display title of the delivery.",
                "example": "Homepage Recommendations"
              },
              {
                "name": "active",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether this delivery is currently active.",
                "example": true
              },
              {
                "name": "configuration",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Map",
                "customType": "Map",
                "schema": []
              },
              {
                "name": "content_selection",
                "kind": "required",
                "type": "object",
                "description": "Criteria used to select which content is delivered.",
                "modelRef": "#/components/schemas/DeliveryContentSelection",
                "customType": "DeliveryContentSelection",
                "schema": [
                  {
                    "name": "approved",
                    "kind": "required",
                    "type": "string<approved | unapproved | all>",
                    "description": "Filter content by approval status.",
                    "example": "approved",
                    "enum": [
                      "approved",
                      "unapproved",
                      "all"
                    ]
                  },
                  {
                    "name": "featured",
                    "kind": "required",
                    "type": "string<featured | unfeatured | all>",
                    "description": "Filter content by featured status.",
                    "example": "featured",
                    "enum": [
                      "featured",
                      "unfeatured",
                      "all"
                    ]
                  }
                ]
              },
              {
                "name": "sections",
                "kind": "required",
                "type": "array",
                "description": "List of sections included in this delivery.",
                "modelRef": "#/components/schemas/ContentSection",
                "customType": "ContentSection[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer",
                    "description": "Unique identifier of the section.",
                    "example": 42
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "The display title of the section.",
                    "example": "Technology"
                  },
                  {
                    "name": "full_details_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "API link to fetch full details of this section.",
                    "example": "https://api.usea01.idio.episerver.net/1.0/sections/42",
                    "format": "url"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Delivery",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Delivery does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "_GRWhcqC3cxQcZQOG2zZN",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.usea01.idio.episerver.net/1.0/deliveries/{key} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "hkfhBbrDKghJEi4dmgOug",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/deliveries/{key}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "J4n85UXtBh5eymaUfXuPN",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/deliveries/{key}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "I86k4HFbZ4CYYwD529sMk",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/deliveries/{key}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "_GRWhcqC3cxQcZQOG2zZN"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Details of a single delivery\n{\n  \"id\": 101,\n  \"title\": \"Homepage Recommendations\",\n  \"active\": true,\n  \"configuration\": {},\n  \"content_selection\": {\n    \"approved\": \"approved\",\n    \"featured\": \"featured\"\n  },\n  \"sections\": [\n    {\n      \"id\": 42,\n      \"title\": \"Technology\",\n      \"full_details_url\": \"https://api.usea01.idio.episerver.net/1.0/sections/42\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Delivery does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}